Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Object Storage
  • Pricing policy
  • Terraform reference
    • API authentication
      • How to use the API
      • Signing requests
      • Getting started with the S3 API
        • All services and methods
          • All methods
          • PutObject
          • GetObject
          • patch
          • CopyObject
          • HeadObject
          • DeleteObject
          • DeleteObjects
          • options
          • SelectObjectContent
          • PutObjectRetention
          • PutObjectLegalHold
          • GetObjectRetention
          • GetObjectLegalHold
          • PutObjectTagging
          • GetObjectTagging
          • DeleteObjectTagging
        • Common request headers
        • Common response headers
        • Responses
  • Monitoring metrics
  • Audit Trails events
  • Bucket logs
  • Release notes
  • FAQ

In this article:

  • Request
  • Path parameters
  • Query parameters
  • Headers
  • Data schema
  • Response
  • Headers
  • Response codes
  • Data structure
  1. API reference
  2. AWS S3 REST
  3. REST
  4. Object
  5. DeleteObjects

Object Storage API, Amazon S3-compatible REST: DeleteObjects

Written by
Yandex Cloud
Updated at July 13, 2026
View in Markdown
  • Request
    • Path parameters
    • Query parameters
    • Headers
    • Data schema
  • Response
    • Headers
    • Response codes
    • Data structure

Deletes objects based on a list of keys provided in a request.

It takes less time than deleting the same objects one by one via separate requests.

The delete list may contain up to 1,000 keys.

If an object does not exist, Object Storage marks it as deleted in the response.

You can configure responses so that Object Storage returns one of the following selections:

  • Statuses of all delete operations.
  • Only statuses with errors deleting objects. In this case, if no errors occurred, an empty response is returned.

For more information on getting started with the API and the general request format, see How to use the S3 API.

RequestRequest

POST /{bucket}?delete HTTP/2

Path parametersPath parameters

Parameter Description
bucket Bucket name.

Query parametersQuery parameters

Parameter Description
delete Flag indicating a delete operation.

HeadersHeaders

Use the appropriate common headers in your request.

For this request, the Content-MD5 and Content-Length headers are required.

Moreover, if governance-mode retention is put on object versions in a versioned bucket, make sure to use the below-specified header to bypass retention and confirm deletion. Only users with the storage.admin role can delete a retained object version. To check the retention status, use the getObjectRetention method.

Header Description
X-Amz-Bypass-Governance-Retention Header that confirms bypassing of the governance-mode retention. Set it to true.

Data schemaData schema

Provide the list of keys to delete in XML format.

<?xml version="1.0" encoding="UTF-8"?>
<Delete>
    <Quiet>true</Quiet>
    <Object>
         <Key>Key</Key>
    </Object>
    ...
</Delete>
Tag Description
Delete Contains the response body.

Path: /Delete.
Quiet <Quiet>true</Quiet> enables quiet mode.

Object Storage will only include deletion errors in the response. If there are no errors, the request will not return the response body. If the specified object does not exist when requested, Deleted will be returned.

If the tag is not specified, the default values is false.

Path: /Delete/Quiet.
Object Contains object deletion parameters.

Path: /Delete/Object.
Key Object key.

Path: /Delete/Object/Key.
VersionId Object version ID. For example, to delete several versions of an object in one go.

Path: /Delete/Object/VersionId.

ResponseResponse

HeadersHeaders

Responses can only contain common headers.

Response codesResponse codes

For a list of possible responses, see Responses.

A successful response contains additional data in XML format with the schema described below.

Data structureData structure

<DeleteResult>
  <Deleted>
    <Key>some/key.txt</Key>
  </Deleted>
  <Error>
    <Key>some/another/key.txt</Key>
    <Code>TextErrorCode</Code>
    <Message>Describing message</Message>
  </Error>
</DeleteResult>
Tag Description
DeleteResult Response body.

Path: /DeleteResult.
Deleted Successfully deleted object.

The tag is missing if the request was set to <Quiet>true</Quiet>.

Path: /DeleteResult/Deleted.
Key Object key.

Path: /DeleteResult/Deleted/Key or /DeleteResult/Error/Key.
Error Error deleting an object.

Path: /DeleteResult/Error.
Code Error code.
Path: /DeleteResult/Error/Code.
Message Error description.
Path: /DeleteResult/Error/Message.

Related articlesRelated articles

  • Object

  • Deleting all objects from a bucket

Useful linksUseful links

  • Getting started with the AWS S3 API in Yandex Object Storage

  • Debugging requests using the AWS CLI

  • Example of sending a signed request using curl

  • Code example for generating a signature

Was the article helpful?

Previous
DeleteObject
Next
options
© 2026 Direct Cursus Technology L.L.C.